View Issue Details

IDProjectCategoryView StatusLast Update
0000055WolfAdminDatabasepublic2019-02-05 11:46
ReporterTimoAssigned ToTimo 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000055: Store mutes, kicks, warns and bans in the database
DescriptionIn addition to warns, also store mutes, kicks, warns and bans in the database.

This has multiple benefits:
* step towards multi-mod support (since ET: Legacy has no admin system)
* history of mutes etc next to warns
* possibly needed for an autokick after x warns (see 0000001)
TagsNo tags attached.
ModN/A
Mod version
Standaloneno

Relationships

related to 0000001 closedTimo Automatically !kick after x warns 
child of 0000061 resolvedTimo Standalone mode 

Activities

Timo

2016-08-02 10:22

administrator   ~0000072

Pushed back to 1.2.0 when WolfAdmin could be run standalone, to avoid mix up with WolfAdmin database and shrubbot database (unused when in standalone mode).

Timo

2017-01-12 18:29

administrator   ~0000080

Changeset f8cbba943f8c64bb99fa81a43f5c702795ef1b86 partially implements warns, kicks, mutes and bans stored in the database.

TODO:
 * read mutes from database and set player mute status upon (re)connect
 * update SQL scripts

Timo

2017-01-18 16:25

administrator   ~0000087

Fixed in c9889d45987bb56dc2f7b9a853386ad5d305cd47.

Related Changesets

WolfAdmin: develop/1.2.0 f8cbba94

2017-01-12 18:26:45

Timo

Details Diff
Advanced player punishments (issue 0000055)

Warns, mutes and bans are stored in the database. A history is available through !showhistory [player] and !showwarns has been merged into this.
Affected Issues
0000055
mod - luascripts/admin/admin.lua Diff File
add - luascripts/admin/bans.lua Diff File
mod - luascripts/auth/acl.lua Diff File
mod - luascripts/auth/auth.lua Diff File
mod - luascripts/auth/shrubbot.lua Diff File
add - luascripts/commands/admin/ban.lua Diff File
rm - luascripts/commands/admin/dewarn.lua Diff File
mod - luascripts/commands/admin/kick.lua Diff File
mod - luascripts/commands/admin/mute.lua Diff File
add - luascripts/commands/admin/showbans.lua Diff File
add - luascripts/commands/admin/unban.lua Diff File
mod - luascripts/commands/admin/vmute.lua Diff File
mod - luascripts/commands/admin/warn.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File

WolfAdmin: develop/1.2.0 a9004cdb

2017-01-12 21:08:07

Timo

Details Diff
SQLite script update (issue 0000055)

Contains create statements for mute, bans and history.
Affected Issues
0000055
mod - database/new/wolfadmin_sqlite.sql Diff File

WolfAdmin: develop/1.2.0 c9889d45

2017-01-14 15:14:43

Timo

Details Diff
Load mutes from database and apply to online players (issue 0000055) Affected Issues
0000055
mod - luascripts/admin/admin.lua Diff File
add - luascripts/admin/mutes.lua Diff File
mod - luascripts/commands/admin/mute.lua Diff File
mod - luascripts/commands/admin/unmute.lua Diff File
mod - luascripts/commands/admin/vmute.lua Diff File
mod - luascripts/commands/admin/vunmute.lua Diff File
mod - luascripts/db/sqlite3.lua Diff File
mod - luascripts/players/players.lua Diff File

WolfAdmin: develop/1.2.0 891a91fd

2017-02-01 17:31:09

Timo

Details Diff
Replaced g_warnHistory with g_playerHistory and added possibility to disable history (refs 0000055) Affected Issues
0000055
mod - config/cvars.cfg Diff File
mod - luamods/wolfadmin/commands/admin/ban.lua Diff File
mod - luamods/wolfadmin/commands/admin/kick.lua Diff File
mod - luamods/wolfadmin/commands/admin/showhistory.lua Diff File
mod - luamods/wolfadmin/commands/admin/warn.lua Diff File
mod - luamods/wolfadmin/util/settings.lua Diff File

WolfAdmin: develop/1.2.1 d8ef69a6

2019-02-04 13:00:46

Timo

Details Diff
Added timers to remove expired mutes and bans from database Affected Issues
0000055
mod - luascripts/wolfadmin/admin/bans.lua Diff File
mod - luascripts/wolfadmin/admin/mutes.lua Diff File
mod - luascripts/wolfadmin/db/mysql.lua Diff File
mod - luascripts/wolfadmin/db/sqlite3.lua Diff File

Issue History

Date Modified Username Field Change
2016-03-04 12:24 Timo New Issue
2016-03-04 12:24 Timo Relationship added related to 0000001
2016-03-04 12:25 Timo Assigned To => Timo
2016-03-04 12:25 Timo Status new => assigned
2016-03-04 12:25 Timo Relationship added child of 0000046
2016-08-02 10:22 Timo Note Added: 0000072
2016-08-02 10:22 Timo Target Version 1.1.0 => 1.2.0
2016-08-28 18:31 Timo Relationship added child of 0000061
2017-01-12 18:29 Timo Note Added: 0000080
2017-01-12 18:30 Timo Relationship deleted child of 0000046
2017-01-18 16:25 Timo Note Added: 0000087
2017-01-18 16:25 Timo Status assigned => resolved
2017-01-18 16:25 Timo Fixed in Version => 1.2.0
2017-01-18 16:25 Timo Resolution open => fixed
2017-02-01 17:32 Timo Changeset attached => WolfAdmin develop 891a91fd
2019-02-05 11:46 Timo Changeset attached => WolfAdmin develop/1.2.1 d8ef69a6